import aioredis
from aioredis import create_redis_pool, Redis

from core.config import settings
from .redisdb import rdb


async def connect_to_redis():
    rdb.client = await create_redis_pool(**settings.REDIS_CONF)


async def close_redis_connection():
    rdb.client.close()
    await rdb.client.wait_closed()
